> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Form Details

> Form Details



## OpenAPI

````yaml get /admin/forms/{hysform_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/forms/{hysform_id}:
    get:
      tags:
        - Program Forms
      summary: Form Details
      description: Form Details
      operationId: 17b0ab7fd7dd3d0aae126b24e7c8e935
      parameters:
        - name: hysform_id
          in: path
          description: ID of the form to edit
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: form details
          content:
            application/json:
              schema:
                properties:
                  hysform:
                    type: object
                  notify:
                    type: object
                  type_name:
                    type: string
                    example: donor
                  lists:
                    type: array
                    items:
                      type: object
                  mailchimp_list_name:
                    type: string
                    example: mailchimp_list_1
                  emailsettings:
                    type: object
                type: object
        '400':
          description: Invalid ID supplied
        '404':
          description: Form not found
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````